import { Node } from '../../externals.js';
export const Figcaption = Node.create({
    name: 'figcaption',
    addOptions() {
        return {
            HTMLAttributes: {},
        };
    },
    group: 'block',
    content: 'inline*',
    selectable: false,
    draggable: false,
    parseHTML() {
        return [{ tag: this.name }];
    },
    renderHTML({ HTMLAttributes }) {
        return [this.name, HTMLAttributes, 0];
    },
});
